detect_digi_driver(3)

NAME
detect_digi_driver - Detects whether the specified digital sound device is available. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int detect_digi_driver(int driver_id);

DESCRIPTION
Detects whether the specified digital sound device is available. This function must be called _before_ install_sound().

RETURN VALUE
Returns the maximum number of voices that the driver can provide, or zero if the hardware is not present.

SEE ALSO
install_sound(3), reserve_voices(3)